tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 38211] New: - Unable to compiler JSP-Files with Tomcat > 5.5.9
Date Tue, 10 Jan 2006 10:13:47 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=38211>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=38211

           Summary: Unable to compiler JSP-Files with Tomcat > 5.5.9
           Product: Tomcat 5
           Version: Nightly Build
          Platform: PC
        OS/Version: Windows XP
            Status: NEW
          Keywords: ErrorMessage
          Severity: normal
          Priority: P2
         Component: Jasper
        AssignedTo: tomcat-dev@jakarta.apache.org
        ReportedBy: stefan.kirchner@web.de


Environment: Windows XP, JRE 1.5.0_06, Tomcat 5.5.15 and 5.5.12

1. I tried to update my Tomcat version from 5.5.9 to 5.5.15
2. When I access to the first login page, the following error message comes up:
 	org.apache.jasper.JasperException: Unable to compile class for JSP
 
 	Generated servlet error:
 	The type Collection is not generic; it cannot be parameterized with arguments
<? extends E>

When I use the Jasper Compiler from Tomcat 5.5.9, everything is doing fine.
        jasper-compiler.jar
	jasper-compiler-jdt.jar
	jasper-runtime.jar

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message